curl --request POST \
--url https://api.iotools.cloud/v1/tool/raw-http-response-parser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rawResponse": "HTTP/1.1 200 OK\nDate: Sat, 26 Jul 2026 09:14:02 GMT\nContent-Type: application/json; charset=utf-8\nContent-Length: 70\nCache-Control: private, max-age=0, no-store\nETag: \"a1b2c3d4\"\nSet-Cookie: session=8f3c2a; Path=/; HttpOnly; Secure; SameSite=Lax\nSet-Cookie: theme=dark; Path=/; Max-Age=31536000\nVary: Accept-Encoding\n\n{\"id\":42,\"name\":\"Ada Lovelace\",\"email\":\"ada@example.com\",\"admin\":true}"
}
'{
"tool": "raw-http-response-parser",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"field": "Status",
"value": "200 OK"
},
{
"field": "Class",
"value": "Success"
},
{
"field": "HTTP version",
"value": "HTTP/1.1"
},
{
"field": "Content-Type",
"value": "application/json; charset=utf-8"
},
{
"field": "Headers",
"value": "7"
},
{
"field": "Cookies set",
"value": "2"
},
{
"field": "Body size",
"value": "70 bytes"
}
],
"headers": [
{
"header": "Date",
"value": "Sat, 26 Jul 2026 09:14:02 GMT"
},
{
"header": "Content-Type",
"value": "application/json; charset=utf-8"
},
{
"header": "Content-Length",
"value": "70"
},
{
"header": "Cache-Control",
"value": "private, max-age=0, no-store"
},
{
"header": "ETag",
"value": "\"a1b2c3d4\""
},
{
"header": "Set-Cookie",
"value": "session=8f3c2a; Path=/; HttpOnly; Secure; SameSite=Lax"
},
{
"header": "Set-Cookie",
"value": "theme=dark; Path=/; Max-Age=31536000"
},
{
"header": "Vary",
"value": "Accept-Encoding"
}
],
"cookies": [
{
"name": "session",
"value": "8f3c2a",
"attributes": "Path=/; HttpOnly; Secure; SameSite=Lax"
},
{
"name": "theme",
"value": "dark",
"attributes": "Path=/; Max-Age=31536000"
}
],
"body": "{\n \"id\": 42,\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"admin\": true\n}",
"json": "{\n \"httpVersion\": \"HTTP/1.1\",\n \"status\": {\n \"code\": 200,\n \"reasonPhrase\": \"OK\",\n \"class\": \"Success\"\n },\n \"headers\": [\n {\n \"name\": \"Date\",\n \"values\": [\n \"Sat, 26 Jul 2026 09:14:02 GMT\"\n ]\n },\n {\n \"name\": \"Content-Type\",\n \"values\": [\n \"application/json; charset=utf-8\"\n ]\n },\n {\n \"name\": \"Content-Length\",\n \"values\": [\n \"70\"\n ]\n },\n {\n \"name\": \"Cache-Control\",\n \"values\": [\n \"private, max-age=0, no-store\"\n ]\n },\n {\n \"name\": \"ETag\",\n \"values\": [\n \"\\\"a1b2c3d4\\\"\"\n ]\n },\n {\n \"name\": \"Set-Cookie\",\n \"values\": [\n \"session=8f3c2a; Path=/; HttpOnly; Secure; SameSite=Lax\",\n \"theme=dark; Path=/; Max-Age=31536000\"\n ]\n },\n {\n \"name\": \"Vary\",\n \"values\": [\n \"Accept-Encoding\"\n ]\n }\n ],\n \"cookies\": [\n {\n \"name\": \"session\",\n \"value\": \"8f3c2a\",\n \"attributes\": [\n {\n \"name\": \"Path\",\n \"value\": \"/\"\n },\n {\n \"name\": \"HttpOnly\",\n \"value\": \"\"\n },\n {\n \"name\": \"Secure\",\n \"value\": \"\"\n },\n {\n \"name\": \"SameSite\",\n \"value\": \"Lax\"\n }\n ]\n },\n {\n \"name\": \"theme\",\n \"value\": \"dark\",\n \"attributes\": [\n {\n \"name\": \"Path\",\n \"value\": \"/\"\n },\n {\n \"name\": \"Max-Age\",\n \"value\": \"31536000\"\n }\n ]\n }\n ],\n \"body\": {\n \"raw\": \"{\\\"id\\\":42,\\\"name\\\":\\\"Ada Lovelace\\\",\\\"email\\\":\\\"ada@example.com\\\",\\\"admin\\\":true}\",\n \"bytes\": 70,\n \"contentType\": \"application/json; charset=utf-8\",\n \"parsed\": {\n \"id\": 42,\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"admin\": true\n }\n }\n}"
},
"credits_used": 3,
"credits_remaining": null
}Utilities
HTTP Response Parser
Paste a raw HTTP response and get the status line, headers and body split out — with the status code explained, every Set-Cookie broken into its name, value and attributes, and the body pretty-printed by Content-Type. Exports to CSV or JSON and runs entirely in your browser.
POST
/
v1
/
tool
/
raw-http-response-parser
curl --request POST \
--url https://api.iotools.cloud/v1/tool/raw-http-response-parser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rawResponse": "HTTP/1.1 200 OK\nDate: Sat, 26 Jul 2026 09:14:02 GMT\nContent-Type: application/json; charset=utf-8\nContent-Length: 70\nCache-Control: private, max-age=0, no-store\nETag: \"a1b2c3d4\"\nSet-Cookie: session=8f3c2a; Path=/; HttpOnly; Secure; SameSite=Lax\nSet-Cookie: theme=dark; Path=/; Max-Age=31536000\nVary: Accept-Encoding\n\n{\"id\":42,\"name\":\"Ada Lovelace\",\"email\":\"ada@example.com\",\"admin\":true}"
}
'{
"tool": "raw-http-response-parser",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"field": "Status",
"value": "200 OK"
},
{
"field": "Class",
"value": "Success"
},
{
"field": "HTTP version",
"value": "HTTP/1.1"
},
{
"field": "Content-Type",
"value": "application/json; charset=utf-8"
},
{
"field": "Headers",
"value": "7"
},
{
"field": "Cookies set",
"value": "2"
},
{
"field": "Body size",
"value": "70 bytes"
}
],
"headers": [
{
"header": "Date",
"value": "Sat, 26 Jul 2026 09:14:02 GMT"
},
{
"header": "Content-Type",
"value": "application/json; charset=utf-8"
},
{
"header": "Content-Length",
"value": "70"
},
{
"header": "Cache-Control",
"value": "private, max-age=0, no-store"
},
{
"header": "ETag",
"value": "\"a1b2c3d4\""
},
{
"header": "Set-Cookie",
"value": "session=8f3c2a; Path=/; HttpOnly; Secure; SameSite=Lax"
},
{
"header": "Set-Cookie",
"value": "theme=dark; Path=/; Max-Age=31536000"
},
{
"header": "Vary",
"value": "Accept-Encoding"
}
],
"cookies": [
{
"name": "session",
"value": "8f3c2a",
"attributes": "Path=/; HttpOnly; Secure; SameSite=Lax"
},
{
"name": "theme",
"value": "dark",
"attributes": "Path=/; Max-Age=31536000"
}
],
"body": "{\n \"id\": 42,\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"admin\": true\n}",
"json": "{\n \"httpVersion\": \"HTTP/1.1\",\n \"status\": {\n \"code\": 200,\n \"reasonPhrase\": \"OK\",\n \"class\": \"Success\"\n },\n \"headers\": [\n {\n \"name\": \"Date\",\n \"values\": [\n \"Sat, 26 Jul 2026 09:14:02 GMT\"\n ]\n },\n {\n \"name\": \"Content-Type\",\n \"values\": [\n \"application/json; charset=utf-8\"\n ]\n },\n {\n \"name\": \"Content-Length\",\n \"values\": [\n \"70\"\n ]\n },\n {\n \"name\": \"Cache-Control\",\n \"values\": [\n \"private, max-age=0, no-store\"\n ]\n },\n {\n \"name\": \"ETag\",\n \"values\": [\n \"\\\"a1b2c3d4\\\"\"\n ]\n },\n {\n \"name\": \"Set-Cookie\",\n \"values\": [\n \"session=8f3c2a; Path=/; HttpOnly; Secure; SameSite=Lax\",\n \"theme=dark; Path=/; Max-Age=31536000\"\n ]\n },\n {\n \"name\": \"Vary\",\n \"values\": [\n \"Accept-Encoding\"\n ]\n }\n ],\n \"cookies\": [\n {\n \"name\": \"session\",\n \"value\": \"8f3c2a\",\n \"attributes\": [\n {\n \"name\": \"Path\",\n \"value\": \"/\"\n },\n {\n \"name\": \"HttpOnly\",\n \"value\": \"\"\n },\n {\n \"name\": \"Secure\",\n \"value\": \"\"\n },\n {\n \"name\": \"SameSite\",\n \"value\": \"Lax\"\n }\n ]\n },\n {\n \"name\": \"theme\",\n \"value\": \"dark\",\n \"attributes\": [\n {\n \"name\": \"Path\",\n \"value\": \"/\"\n },\n {\n \"name\": \"Max-Age\",\n \"value\": \"31536000\"\n }\n ]\n }\n ],\n \"body\": {\n \"raw\": \"{\\\"id\\\":42,\\\"name\\\":\\\"Ada Lovelace\\\",\\\"email\\\":\\\"ada@example.com\\\",\\\"admin\\\":true}\",\n \"bytes\": 70,\n \"contentType\": \"application/json; charset=utf-8\",\n \"parsed\": {\n \"id\": 42,\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"admin\": true\n }\n }\n}"
},
"credits_used": 3,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?
⌘I